Summary: General Purpose Mouse support for Linux
Name: gpm
Version: 1.13
Release: 1
Distribution: CSCI linux archive
Copyright: GPL
Group: Daemons
Source: ftp://sunsite.unc.edu/pub/Linux/system/mouse/gpm-1.13.tar.gz
Source1: gpm.init
Source2: README.intellimouse
Patch0: gpm-1.13-intellimouse.patch
Vendor: Univ. of Arkansas, CS

# this defines the library version that this package builds.
%define LIBVER 1.13

%changelog

* Wed Dec 10 1997 Matt Gunter <mgunter@csci.uark.edu>

- upgraded to gpm-1.13
- added patch for Microsoft Intellimouse with Glidepoint
- deleted chkconfig support

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- added patch from Richard to get things to build on the SPARC

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>

- fixed the emacs patch to install the emacs files in the right
  place (hopefully).

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>

- added chkconfig support
- added install-info

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>

- upgraded from 1.10 to 1.12
- added status/restart functionality to init script
- added define LIBVER 1.11

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
GPM adds mouse support to text-based Linux applications such as emacs,
Midnight Commander, and more. It also provides console cut-and-paste 
operations using the mouse. Includes a program to allow pop-up menus to
appear at the click of a mouse button.  Supports Microsoft Intellimouse
with Glidepoint.

%package devel
Requires: gpm
Summary: development libraries and headers for writing mouse driven programs
Group: Development/Libraries
%description devel
This package allows you to develop your own text-mode programs that take
advantage of the mouse. 

%prep
%setup
%patch0 -p1

%build
./configure
make

%install
install -d -m755 /usr/doc/gpm-1.13 
install -m644 ${RPM_SOURCE_DIR}/README.intellimouse /usr/doc/gpm-1.13/README.intellimouse 
%ifarch sparc
(echo MOUSETYPE=\"sun\"; echo XEMU3=no) > /etc/sysconfig/mouse
%endif

PATH=/sbin:$PATH:/usr/sbin:$PATH

rm -f /usr/info/gpm.info*
make install 
gzip -9nf /usr/info/gpm.info*
install -m644 gpm-root.conf /etc
install -s -m755 mouse-test /usr/bin
install -s -m755 hltest /usr/bin
strip /usr/bin/gpm /usr/bin/mev /usr/bin/gpm-root
install -m 755 -o root -g root $RPM_SOURCE_DIR/gpm.init /etc/rc.d/init.d/gpm
(cd /etc/rc.d/rc2.d;
 ln -sf ../init.d/gpm S85gpm
 cd /etc/rc.d/rc3.d;
 ln -sf ../init.d/gpm S85gpm
 cd /etc/rc.d/rc5.d;
 ln -sf ../init.d/gpm S85gpm
 cd /etc/rc.d/rc0.d;
 ln -sf ../init.d/gpm K15gpm
 cd /etc/rc.d/rc1.d;
 ln -sf ../init.d/gpm K15gpm
 cd /etc/rc.d/rc6.d;
 ln -sf ../init.d/gpm K15gpm
) 

/sbin/ldconfig
ln -sf libgpm.so.%{LIBVER} /usr/lib/libgpm.so

%post 
/sbin/ldconfig
/usr/bin/install-info /usr/info/gpm.info.gz /usr/info/dir --entry="* gpm: (gpm).                   Text-mode mouse library."

%preun
if [ $1 = 0 ]; then
    /usr/sbin/install-info /usr/info/gpm.info.gz --delete /usr/info/dir --entry="* gpm: (gpm).                   Text-mode mouse library."
fi

%postun
/sbin/ldconfig

%files
%config /etc/gpm-root.conf

%ifarch sparc
%config /etc/sysconfig/mouse
%endif

/usr/bin/gpm
/usr/bin/mev
/usr/bin/gpm-root
/usr/bin/mouse-test
/usr/bin/hltest
/usr/share/emacs/site-lisp/t-mouse.el
/usr/share/emacs/site-lisp/t-mouse.elc
/usr/info/gpm.info*
/usr/man/man1/gpm.1
/usr/man/man1/mev.1
/usr/man/man1/gpm-root.1
/usr/doc/gpm-1.13/README.intellimouse
/usr/lib/libgpm.so.%{LIBVER}
%config /etc/rc.d/init.d/gpm
%config(missingok) /etc/rc.d/rc2.d/S85gpm
%config(missingok) /etc/rc.d/rc3.d/S85gpm
%config(missingok) /etc/rc.d/rc5.d/S85gpm
%config(missingok) /etc/rc.d/rc0.d/K15gpm
%config(missingok) /etc/rc.d/rc1.d/K15gpm
%config(missingok) /etc/rc.d/rc6.d/K15gpm

%files devel
/usr/lib/libgpm.a
/usr/include/gpm.h
/usr/lib/libgpm.so
